net.minecraft.client.gui

## Class GuiRepair

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiScreen
    - - net.minecraft.client.gui.inventory.GuiContainer
      - - net.minecraft.client.gui.GuiRepair

- All Implemented Interfaces:
    ICrafting

      public class GuiRepair
      extends GuiContainer
      implements ICrafting

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.gui.inventory.GuiContainer

      `inventorySlots`

    - ### Fields inherited from class net.minecraft.client.gui.GuiScreen

      `allowUserInput, height, width`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiRepair(InventoryPlayer par1InventoryPlayer, World par2World, int par3, int par4, int par5)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `drawScreen(int par1, int par2, float par3)` Draws the screen and all the components in it.
    `void` | `initGui()` Adds the buttons (and other controls) to the screen in question.
    `void` | `onGuiClosed()` Called when the screen is unloaded.
    `void` | `sendContainerAndContentsToPlayer(Container par1Container, List par2List)`
    `void` | `sendProgressBarUpdate(Container par1Container, int par2, int par3)` Sends two ints to the client-side Container.
    `void` | `sendSlotContents(Container par1Container, int par2, ItemStack par3ItemStack)` Sends the contents of an inventory slot to the client-side Container.

    - ### Methods inherited from class net.minecraft.client.gui.inventory.GuiContainer

      `doesGuiPauseGame, updateScreen`

    - ### Methods inherited from class net.minecraft.client.gui.GuiScreen

      `confirmClicked, drawBackground, drawDefaultBackground, drawWorldBackground, getClipboardString, handleInput, handleKeyboardInput, handleMouseInput, isCtrlKeyDown, isShiftKeyDown, setClipboardString, setWorldAndResolution`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GuiRepair

          public GuiRepair(InventoryPlayer par1InventoryPlayer,
                   World par2World,
                   int par3,
                   int par4,
                   int par5)

  - ### Method Detail

    - #### initGui

          public void initGui()

      Adds the buttons (and other controls) to the screen in question.
      Overrides:
        `initGui` in class `GuiContainer`

    - #### onGuiClosed

          public void onGuiClosed()

      Called when the screen is unloaded. Used to disable keyboard repeat events
      Overrides:
        `onGuiClosed` in class `GuiContainer`

    - #### drawScreen

          public void drawScreen(int par1,
                        int par2,
                        float par3)

      Draws the screen and all the components in it.
      Overrides:
        `drawScreen` in class `GuiContainer`

    - #### sendContainerAndContentsToPlayer

          public void sendContainerAndContentsToPlayer(Container par1Container,
                                              List par2List)

      Specified by:
        `sendContainerAndContentsToPlayer` in interface `ICrafting`

    - #### sendSlotContents

          public void sendSlotContents(Container par1Container,
                              int par2,
                              ItemStack par3ItemStack)

      Sends the contents of an inventory slot to the client-side Container. This doesn't have to match the actual contents of that slot. Args: Container, slot number, slot contents
      Specified by:
        `sendSlotContents` in interface `ICrafting`

    - #### sendProgressBarUpdate

          public void sendProgressBarUpdate(Container par1Container,
                                   int par2,
                                   int par3)

      Sends two ints to the client-side Container. Used for furnace burning time, smelting progress, brewing progress, and enchanting level. Normally the first int identifies which variable to update, and the second contains the new value. Both are truncated to shorts in non-local SMP.
      Specified by:
        `sendProgressBarUpdate` in interface `ICrafting`